aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xinit.d/localmount10
1 files changed, 10 insertions, 0 deletions
diff --git a/init.d/localmount b/init.d/localmount
index 13172d43..ee3c46ca 100755
--- a/init.d/localmount
+++ b/init.d/localmount
@@ -93,6 +93,16 @@ start() {
fi
fi
+ # Setup Kernel Support for debugfs
+ if [ -d /sys/kernel/debug ] ; then
+ if grep -qs debugfs /proc/filesystems ; then
+ ebegin "Mounting debug filesystem"
+ mount -t debugfs debugfs /sys/kernel/debug \
+ -o nodev,noexec,nosuid
+ eend $?
+ fi
+ fi
+
# Setup Kernel Support for SELinux
if [ -d /selinux ] ; then
if grep -qs selinuxfs /proc/filesystems ; then